/ Docs
APICredentials

Create Credentials

Create org-level provider credentials.

POST
/v1/orgs/{org_id}/credentials

Authorization

BearerAuth
AuthorizationBearer <token>

Botyard API key — see /docs/authentication.

In: header

Path Parameters

org_id*Org Id

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Request to create one or more org-level credentials.

Response Body

application/json

curl -X POST "https://example.com/v1/orgs/string/credentials" \  -H "Content-Type: application/json" \  -d '{    "credentials": [      {        "label": "string",        "provider": "openai",        "scope": "llm"      }    ]  }'
[
  {
    "credential_id": "string",
    "org_id": "string",
    "bot_id": "string",
    "label": "string",
    "slug": "string",
    "api_protocol": "openai_compatible",
    "provider": "openai",
    "scope": "llm",
    "base_url": "string",
    "auth_method": "api_key",
    "key_prefix": "string",
    "oauth_config": {},
    "external_account_id": "string",
    "oauth_authorized": true,
    "is_default": true,
    "enabled": true,
    "available_to_all_bots": true,
    "managed": false,
    "last_tested_at": "2019-08-24T14:15:22Z",
    "last_test_status": "string",
    "last_test_error": "string",
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
]
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string",
  "instance": "string",
  "error_code": "string",
  "errors": [
    {
      "pointer": "string",
      "detail": "string",
      "type": "string"
    }
  ],
  "trace_id": "string"
}